#include <iostream>
#include <string>
#include <vector>

using namespace std;

vector <long long> g;

long long gcd(long long a, long long b)
{
    while (a && b)
    {
        if (a > b) a %= b;
        else b %= a;
    }
    return a + b;
}

long long solve()
{
    long long NOK = (g[0] * g[1]) / gcd(g[0], g[1]);
    for (int i = 2; i < (int)g.size(); ++i)
        NOK *= g[i] / gcd(NOK, g[i]);
    return NOK;
}

int main()
{
    int n;
    cin >> n;
    g.resize(n);
    for (int i = 0; i < n; ++i)
        cin >> g[i];
    long long NOK = solve();
    cout << NOK;
    return 0;
}