#include <iostream>
#include <set>
#include <map>
#include <vector>
#include <algorithm>
#include <memory.h>
#include <stdio.h>
#include <string>
#include <cmath>
#include <iomanip>

using namespace std;
int cnt = 0;
const int SIZE = 1e5 + 2;
int vis[SIZE];
vector<vector<pair<int, int> > > g(SIZE);
void dfs(int v, int L) {
  vis[v] = 1;
  cnt++;
  for (int i = 0; i < g[v].size(); i++) {
    int nxt = g[v][i].first;
    int W = g[v][i].second;
    if (!vis[nxt] && W >= L) {
      dfs(nxt, L);
    }
  }
}


int main()
{
    //freopen ("input.txt", "r", stdin);
    //freopen ("output.txt", "w", stdout);
   int n, m, k, v, v1, w, L;
   scanf("%d%d%d", &n, &m, &k);
   for (int i = 0; i < m; i++) {
     scanf("%d%d%d", &v, &v1, &w);
     v--;
     v1--;
     g[v].push_back({v1, w});
     g[v1].push_back({v, w});
   }
   long long left = 1, right = 1e9 + 1;
   while (left + 1 < right) {
    long long mid = (left + right) / 2;
    bool flag = false;
    for (int i = 0; i < n; i++) {
      if (!vis[i]) {
        dfs(i, mid);
        //cout << cnt << endl;
        if (cnt >= k + 1) {
          flag = true;
        }
        cnt = 0;
      }
    }
    if (flag) {
      left = mid;
    } else {
      right = mid;
    }
    for (int i = 0; i < n; i++) {
      vis[i] = 0;
    }
   }
   cout << left;



    return 0;
}
