#include <bits/stdc++.h>

using namespace std;

#define pb push_back
#define endl '\n'
#define all(x) begin((x)), end((x))
#define rall(x) (x).rbegin(), (x).rend()
#define forn(i, n) for(int64_t (i) = 0; (i) < (n); ++(i))
#define ft first
#define sd second
#define MAX3(A, B, C) max((A), max((B), (C)))
#define MIN3(A, B, C) min((A), min((B), (C)))

typedef long long ll;

struct event
{
    ll x, type, l, r;
};

vector<event> ex, ey;

bool comp(const event & a, const event & b)
{
    if (a.x != b.x) return a.x < b.x;
    return a.type > b.type;
}

void solve()
{
    int n = 3;
    forn (i, n)
    {
        ll x1, y1, x2, y2;
        scanf("%lld%lld%lld%lld", &x1, &y1, &x2, &y2);
        if (x1 > x2) swap(x1, x2);
        if (y1 > y2) swap(y1, y2);
        ex.pb({x1, 1, -1, -1});
        ex.pb({x2, -1, -1, -1});
        ey.pb({y1, 1, x1, x2});
        ey.pb({y2, -1, x1, x2});
    }

    sort(all(ex), comp);
    sort(all(ey), comp);

    ll la, bal = 0, res = 0;

    forn (i, 2 * n)
    {
        bal += ex[i].type;
        if (bal == 1 && ex[i].type == 1)
            la = ex[i].x;
        else
        {
            int ybal = 0, yla, ans = 0;
            forn (j, 2 * n)
            {
                if (ey[j].l <= la && ey[j].r >= ex[i].x)
                {
                    ybal += ey[j].type;
                    if (ybal == 1 && ey[j].type == 1)
                        yla = ey[j].x;
                    else if (!ybal && ey[j].type == -1)
                        ans += ey[j].x - yla;
                }
            }
            res += (ex[i].x - la) * ans;
            la = ex[i].x;
        }
    }

    printf("%lld", res);
}

// #define LOCAL

int main()
{
    #ifdef LOCAL
        freopen("input.txt", "r", stdin);
    #endif // LOCAL

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    solve();

    return 0;
}
