#include <iostream>
#include <string>
#include <vector>

using namespace std;

vector <int> g;

int gcd(int a, int b)
{
    while (a && b)
    {
        if (a > b) a %= b;
        else b %= a;
    }
    return a + b;
}

int ans(long long t)
{
    for (int j = 2; j * j <= t; ++j)
    {
        if (t % j == 0) return j;
    }
}

int solve()
{
    long long NOK = (g[0] * g[1]) / gcd(g[0], g[1]);
    for (int i = 2; i < (int)g.size(); ++i)
        NOK *= g[i] / gcd(NOK, g[i]);
    return NOK;
}

int main()
{
    int n;
    cin >> n;
    g.resize(n);
    for (int i = 0; i < n; ++i)
        cin >> g[i];
    long long NOK = solve();
    for (int i = 0; i < n; ++i)
    {
        if (g[i] / NOK == 1)
        {
            cout << ans(NOK) * NOK;
            return 0;
        }
    }
    cout << NOK;
    return 0;
}
